-- (C) Copyright International Business Machines Corporation 23 January 
-- 1990.  All Rights Reserved. 
--  
-- See the file USERAGREEMENT distributed with this software for full 
-- terms and conditions of use. 
-- File: fixdefs.d
-- Author: Rob Strom
-- SCCS Info: @(#)fixdefs.d	1.5 4/19/91

-- definitions local to fixdefs.p
fixdefs: USING(predefined, stdenv, errors)
  definitions
    
    -- Procedure to put init(comp)
    -- into Minimum TS provided it is in exit TS
    -- and to do the same with init record components
    FixdefsCall: CALLMESSAGE (
        std: stdenv,
        ToBeFixed: predefined!definitions_module, -- def module being fixed
        Definitions: definitions_modules,  -- library of checked definitions 
        errors: errors
        ) constant(std, definitions)
    EXIT{full}
    MINIMUM{full(std), full(tobefixed), full(definitions)};
      
    FixdefsInport: INPORT OF FixdefsCall {Full(std), full(tobefixed), 
      full(definitions)};
    FixdefsOutport: OUTPORT OF FixdefsInport;

  end definitions
